PUT
/
funnels
/
domain
/
{id}
cURL
curl --request PUT \
--url https://services.leadconnectorhq.com/funnels/domain/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"robotsTxtCode": "<string>",
"defaultPage": "<string>",
"defaultDomain": true,
"XMLMappingPath": "<string>",
"XMLMappingUrl": "<string>",
"deleted": true,
"companyId": "<string>",
"errorPage": "<string>",
"url": "<string>",
"isMigrated": true,
"nameServer": "<string>",
"provider": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
robotsTxtCode: '<string>',
defaultPage: '<string>',
defaultDomain: true,
XMLMappingPath: '<string>',
XMLMappingUrl: '<string>',
deleted: true,
companyId: '<string>',
errorPage: '<string>',
url: '<string>',
isMigrated: true,
nameServer: '<string>',
provider: '<string>'
})
};
fetch('https://services.leadconnectorhq.com/funnels/domain/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/domain/{id}"
payload = {
"locationId": "<string>",
"robotsTxtCode": "<string>",
"defaultPage": "<string>",
"defaultDomain": True,
"XMLMappingPath": "<string>",
"XMLMappingUrl": "<string>",
"deleted": True,
"companyId": "<string>",
"errorPage": "<string>",
"url": "<string>",
"isMigrated": True,
"nameServer": "<string>",
"provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - undefined
Last modified on May 19, 2026
Was this page helpful?
cURL
curl --request PUT \
--url https://services.leadconnectorhq.com/funnels/domain/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"robotsTxtCode": "<string>",
"defaultPage": "<string>",
"defaultDomain": true,
"XMLMappingPath": "<string>",
"XMLMappingUrl": "<string>",
"deleted": true,
"companyId": "<string>",
"errorPage": "<string>",
"url": "<string>",
"isMigrated": true,
"nameServer": "<string>",
"provider": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
robotsTxtCode: '<string>',
defaultPage: '<string>',
defaultDomain: true,
XMLMappingPath: '<string>',
XMLMappingUrl: '<string>',
deleted: true,
companyId: '<string>',
errorPage: '<string>',
url: '<string>',
isMigrated: true,
nameServer: '<string>',
provider: '<string>'
})
};
fetch('https://services.leadconnectorhq.com/funnels/domain/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/domain/{id}"
payload = {
"locationId": "<string>",
"robotsTxtCode": "<string>",
"defaultPage": "<string>",
"defaultDomain": True,
"XMLMappingPath": "<string>",
"XMLMappingUrl": "<string>",
"deleted": True,
"companyId": "<string>",
"errorPage": "<string>",
"url": "<string>",
"isMigrated": True,
"nameServer": "<string>",
"provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)